# Generated from portly-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name portly

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Library for looking up TCP port meta information
License: AGPLv3
URL: https://github.com/granolocks/portly
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coveralls) = 0.7.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec) < 1
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
This library exposes information from the IANA Service Name and Transport
Portocolo Port number database.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/portly.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0-1
- Initial package
